#
# $Header: /cvsroot/hungry/lesstif/clients/Motif-1.2/mwm/Makefile.am,v 1.7 1998/03/03 22:43:00 rwscott Exp $
#
bin_PROGRAMS=	mwm
MAINTAINERCLEANFILES=Makefile.in

BUILT_SOURCES=	mwmparse.c mwmparse.h mwmlex.c

mwm_SOURCES=	colormaps.c cursors.c decorate.c defaults.c desktop.c \
		events.c functions.c icons.c menus.c misc.c move.c \
		mwm.c mwm.h mwmerr.c mwmlex.l mwmparse.y mwmstrings.h \
		pager.c pan.c props.c resize.c resources.c screens.c \
		system.mwmrc version.h windows.c

INCLUDES=	-I$(top_srcdir)/include/Motif-1.2 \
		-I../../../include/Motif-1.2 \
		${X_CFLAGS} \
		-DXLIB_PATH=\"@x_libraries@\" \
		-DXINCL_PATH=\"@x_includes@\"

LDADD=		../../../lib/Xm$(version_suffix)/libXm.la \
		${X_LIBS} -lXt -lXext -lX11 \
		@R6libs@ @LEXLIB@

appdir=		$(libdir)/X11/app-defaults
app_DATA=	Mwm

mwmddir=	$(libdir)/X11/mwm
mwmd_DATA=	system.mwmrc alt.map README

EXTRA_DIST=	Mwm system.mwmrc alt.map Mwm.mlm README

mwmlex.o:	mwmparse.h

YFLAGS=		-d
